Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.publish.ivy
[Java] Interface IvyConfigurationContainer

    org.gradle.api.NamedDomainObjectSet
      java.lang.Iterable
          org.gradle.api.NamedDomainObjectCollection
              org.gradle.api.publish.ivy.IvyConfigurationContainer
                  org.gradle.api.DomainObjectCollection
                      org.gradle.util.Configurable
                          java.util.Collection
                              org.gradle.api.NamedDomainObjectContainer

All Superinterfaces:
  NamedDomainObjectSet, Iterable, NamedDomainObjectCollection, DomainObjectCollection, Configurable, Collection, NamedDomainObjectContainer

    @Incubating
    public interface IvyConfigurationContainer
    extends NamedDomainObjectContainer

The set of IvyConfigurations that will be included in the IvyPublication. Being a NamedDomainObjectContainer, a `IvyConfigurationContainer` provides convenient methods for adding, querying, filtering, and applying actions to the set of IvyConfigurations.

     apply plugin: 'ivy-publish'

     def publication = publishing.publications.create("my-pub", IvyPublication)
     def configurations = publication.configurations

     configurations.create("extended", { extend "default"})
     configurations.all {
         extend "base"
     }

Method Summary

Methods inherited from interface NamedDomainObjectContainer
configure, create, create, create, maybeCreate

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Gradle API 1.10